<?php

namespace Edumall_Addons;

/**
 * Countries
 *
 * Returns an array of countries and codes.
 * Country codes and names should follow the Unicode CLDR recommendation (http://cldr.unicode.org/translation/country-names).
 */

defined( 'ABSPATH' ) || exit;

class I18l_Countries {
	public static function get_list() {
		return array(
			'AF' => __( 'Afghanistan', 'edumall-addons' ),
			'AX' => __( '&#197;land Islands', 'edumall-addons' ),
			'AL' => __( 'Albania', 'edumall-addons' ),
			'DZ' => __( 'Algeria', 'edumall-addons' ),
			'AS' => __( 'American Samoa', 'edumall-addons' ),
			'AD' => __( 'Andorra', 'edumall-addons' ),
			'AO' => __( 'Angola', 'edumall-addons' ),
			'AI' => __( 'Anguilla', 'edumall-addons' ),
			'AQ' => __( 'Antarctica', 'edumall-addons' ),
			'AG' => __( 'Antigua and Barbuda', 'edumall-addons' ),
			'AR' => __( 'Argentina', 'edumall-addons' ),
			'AM' => __( 'Armenia', 'edumall-addons' ),
			'AW' => __( 'Aruba', 'edumall-addons' ),
			'AU' => __( 'Australia', 'edumall-addons' ),
			'AT' => __( 'Austria', 'edumall-addons' ),
			'AZ' => __( 'Azerbaijan', 'edumall-addons' ),
			'BS' => __( 'Bahamas', 'edumall-addons' ),
			'BH' => __( 'Bahrain', 'edumall-addons' ),
			'BD' => __( 'Bangladesh', 'edumall-addons' ),
			'BB' => __( 'Barbados', 'edumall-addons' ),
			'BY' => __( 'Belarus', 'edumall-addons' ),
			'BE' => __( 'Belgium', 'edumall-addons' ),
			'PW' => __( 'Belau', 'edumall-addons' ),
			'BZ' => __( 'Belize', 'edumall-addons' ),
			'BJ' => __( 'Benin', 'edumall-addons' ),
			'BM' => __( 'Bermuda', 'edumall-addons' ),
			'BT' => __( 'Bhutan', 'edumall-addons' ),
			'BO' => __( 'Bolivia', 'edumall-addons' ),
			'BQ' => __( 'Bonaire, Saint Eustatius and Saba', 'edumall-addons' ),
			'BA' => __( 'Bosnia and Herzegovina', 'edumall-addons' ),
			'BW' => __( 'Botswana', 'edumall-addons' ),
			'BV' => __( 'Bouvet Island', 'edumall-addons' ),
			'BR' => __( 'Brazil', 'edumall-addons' ),
			'IO' => __( 'British Indian Ocean Territory', 'edumall-addons' ),
			'BN' => __( 'Brunei', 'edumall-addons' ),
			'BG' => __( 'Bulgaria', 'edumall-addons' ),
			'BF' => __( 'Burkina Faso', 'edumall-addons' ),
			'BI' => __( 'Burundi', 'edumall-addons' ),
			'KH' => __( 'Cambodia', 'edumall-addons' ),
			'CM' => __( 'Cameroon', 'edumall-addons' ),
			'CA' => __( 'Canada', 'edumall-addons' ),
			'CV' => __( 'Cape Verde', 'edumall-addons' ),
			'KY' => __( 'Cayman Islands', 'edumall-addons' ),
			'CF' => __( 'Central African Republic', 'edumall-addons' ),
			'TD' => __( 'Chad', 'edumall-addons' ),
			'CL' => __( 'Chile', 'edumall-addons' ),
			'CN' => __( 'China', 'edumall-addons' ),
			'CX' => __( 'Christmas Island', 'edumall-addons' ),
			'CC' => __( 'Cocos (Keeling) Islands', 'edumall-addons' ),
			'CO' => __( 'Colombia', 'edumall-addons' ),
			'KM' => __( 'Comoros', 'edumall-addons' ),
			'CG' => __( 'Congo (Brazzaville)', 'edumall-addons' ),
			'CD' => __( 'Congo (Kinshasa)', 'edumall-addons' ),
			'CK' => __( 'Cook Islands', 'edumall-addons' ),
			'CR' => __( 'Costa Rica', 'edumall-addons' ),
			'HR' => __( 'Croatia', 'edumall-addons' ),
			'CU' => __( 'Cuba', 'edumall-addons' ),
			'CW' => __( 'Cura&ccedil;ao', 'edumall-addons' ),
			'CY' => __( 'Cyprus', 'edumall-addons' ),
			'CZ' => __( 'Czech Republic', 'edumall-addons' ),
			'DK' => __( 'Denmark', 'edumall-addons' ),
			'DJ' => __( 'Djibouti', 'edumall-addons' ),
			'DM' => __( 'Dominica', 'edumall-addons' ),
			'DO' => __( 'Dominican Republic', 'edumall-addons' ),
			'EC' => __( 'Ecuador', 'edumall-addons' ),
			'EG' => __( 'Egypt', 'edumall-addons' ),
			'SV' => __( 'El Salvador', 'edumall-addons' ),
			'GQ' => __( 'Equatorial Guinea', 'edumall-addons' ),
			'ER' => __( 'Eritrea', 'edumall-addons' ),
			'EE' => __( 'Estonia', 'edumall-addons' ),
			'ET' => __( 'Ethiopia', 'edumall-addons' ),
			'FK' => __( 'Falkland Islands', 'edumall-addons' ),
			'FO' => __( 'Faroe Islands', 'edumall-addons' ),
			'FJ' => __( 'Fiji', 'edumall-addons' ),
			'FI' => __( 'Finland', 'edumall-addons' ),
			'FR' => __( 'France', 'edumall-addons' ),
			'GF' => __( 'French Guiana', 'edumall-addons' ),
			'PF' => __( 'French Polynesia', 'edumall-addons' ),
			'TF' => __( 'French Southern Territories', 'edumall-addons' ),
			'GA' => __( 'Gabon', 'edumall-addons' ),
			'GM' => __( 'Gambia', 'edumall-addons' ),
			'GE' => __( 'Georgia', 'edumall-addons' ),
			'DE' => __( 'Germany', 'edumall-addons' ),
			'GH' => __( 'Ghana', 'edumall-addons' ),
			'GI' => __( 'Gibraltar', 'edumall-addons' ),
			'GR' => __( 'Greece', 'edumall-addons' ),
			'GL' => __( 'Greenland', 'edumall-addons' ),
			'GD' => __( 'Grenada', 'edumall-addons' ),
			'GP' => __( 'Guadeloupe', 'edumall-addons' ),
			'GU' => __( 'Guam', 'edumall-addons' ),
			'GT' => __( 'Guatemala', 'edumall-addons' ),
			'GG' => __( 'Guernsey', 'edumall-addons' ),
			'GN' => __( 'Guinea', 'edumall-addons' ),
			'GW' => __( 'Guinea-Bissau', 'edumall-addons' ),
			'GY' => __( 'Guyana', 'edumall-addons' ),
			'HT' => __( 'Haiti', 'edumall-addons' ),
			'HM' => __( 'Heard Island and McDonald Islands', 'edumall-addons' ),
			'HN' => __( 'Honduras', 'edumall-addons' ),
			'HK' => __( 'Hong Kong', 'edumall-addons' ),
			'HU' => __( 'Hungary', 'edumall-addons' ),
			'IS' => __( 'Iceland', 'edumall-addons' ),
			'IN' => __( 'India', 'edumall-addons' ),
			'ID' => __( 'Indonesia', 'edumall-addons' ),
			'IR' => __( 'Iran', 'edumall-addons' ),
			'IQ' => __( 'Iraq', 'edumall-addons' ),
			'IE' => __( 'Ireland', 'edumall-addons' ),
			'IM' => __( 'Isle of Man', 'edumall-addons' ),
			'IL' => __( 'Israel', 'edumall-addons' ),
			'IT' => __( 'Italy', 'edumall-addons' ),
			'CI' => __( 'Ivory Coast', 'edumall-addons' ),
			'JM' => __( 'Jamaica', 'edumall-addons' ),
			'JP' => __( 'Japan', 'edumall-addons' ),
			'JE' => __( 'Jersey', 'edumall-addons' ),
			'JO' => __( 'Jordan', 'edumall-addons' ),
			'KZ' => __( 'Kazakhstan', 'edumall-addons' ),
			'KE' => __( 'Kenya', 'edumall-addons' ),
			'KI' => __( 'Kiribati', 'edumall-addons' ),
			'KW' => __( 'Kuwait', 'edumall-addons' ),
			'KG' => __( 'Kyrgyzstan', 'edumall-addons' ),
			'LA' => __( 'Laos', 'edumall-addons' ),
			'LV' => __( 'Latvia', 'edumall-addons' ),
			'LB' => __( 'Lebanon', 'edumall-addons' ),
			'LS' => __( 'Lesotho', 'edumall-addons' ),
			'LR' => __( 'Liberia', 'edumall-addons' ),
			'LY' => __( 'Libya', 'edumall-addons' ),
			'LI' => __( 'Liechtenstein', 'edumall-addons' ),
			'LT' => __( 'Lithuania', 'edumall-addons' ),
			'LU' => __( 'Luxembourg', 'edumall-addons' ),
			'MO' => __( 'Macao', 'edumall-addons' ),
			'MK' => __( 'North Macedonia', 'edumall-addons' ),
			'MG' => __( 'Madagascar', 'edumall-addons' ),
			'MW' => __( 'Malawi', 'edumall-addons' ),
			'MY' => __( 'Malaysia', 'edumall-addons' ),
			'MV' => __( 'Maldives', 'edumall-addons' ),
			'ML' => __( 'Mali', 'edumall-addons' ),
			'MT' => __( 'Malta', 'edumall-addons' ),
			'MH' => __( 'Marshall Islands', 'edumall-addons' ),
			'MQ' => __( 'Martinique', 'edumall-addons' ),
			'MR' => __( 'Mauritania', 'edumall-addons' ),
			'MU' => __( 'Mauritius', 'edumall-addons' ),
			'YT' => __( 'Mayotte', 'edumall-addons' ),
			'MX' => __( 'Mexico', 'edumall-addons' ),
			'FM' => __( 'Micronesia', 'edumall-addons' ),
			'MD' => __( 'Moldova', 'edumall-addons' ),
			'MC' => __( 'Monaco', 'edumall-addons' ),
			'MN' => __( 'Mongolia', 'edumall-addons' ),
			'ME' => __( 'Montenegro', 'edumall-addons' ),
			'MS' => __( 'Montserrat', 'edumall-addons' ),
			'MA' => __( 'Morocco', 'edumall-addons' ),
			'MZ' => __( 'Mozambique', 'edumall-addons' ),
			'MM' => __( 'Myanmar', 'edumall-addons' ),
			'NA' => __( 'Namibia', 'edumall-addons' ),
			'NR' => __( 'Nauru', 'edumall-addons' ),
			'NP' => __( 'Nepal', 'edumall-addons' ),
			'NL' => __( 'Netherlands', 'edumall-addons' ),
			'NC' => __( 'New Caledonia', 'edumall-addons' ),
			'NZ' => __( 'New Zealand', 'edumall-addons' ),
			'NI' => __( 'Nicaragua', 'edumall-addons' ),
			'NE' => __( 'Niger', 'edumall-addons' ),
			'NG' => __( 'Nigeria', 'edumall-addons' ),
			'NU' => __( 'Niue', 'edumall-addons' ),
			'NF' => __( 'Norfolk Island', 'edumall-addons' ),
			'MP' => __( 'Northern Mariana Islands', 'edumall-addons' ),
			'KP' => __( 'North Korea', 'edumall-addons' ),
			'NO' => __( 'Norway', 'edumall-addons' ),
			'OM' => __( 'Oman', 'edumall-addons' ),
			'PK' => __( 'Pakistan', 'edumall-addons' ),
			'PS' => __( 'Palestinian Territory', 'edumall-addons' ),
			'PA' => __( 'Panama', 'edumall-addons' ),
			'PG' => __( 'Papua New Guinea', 'edumall-addons' ),
			'PY' => __( 'Paraguay', 'edumall-addons' ),
			'PE' => __( 'Peru', 'edumall-addons' ),
			'PH' => __( 'Philippines', 'edumall-addons' ),
			'PN' => __( 'Pitcairn', 'edumall-addons' ),
			'PL' => __( 'Poland', 'edumall-addons' ),
			'PT' => __( 'Portugal', 'edumall-addons' ),
			'PR' => __( 'Puerto Rico', 'edumall-addons' ),
			'QA' => __( 'Qatar', 'edumall-addons' ),
			'RE' => __( 'Reunion', 'edumall-addons' ),
			'RO' => __( 'Romania', 'edumall-addons' ),
			'RU' => __( 'Russia', 'edumall-addons' ),
			'RW' => __( 'Rwanda', 'edumall-addons' ),
			'BL' => __( 'Saint Barth&eacute;lemy', 'edumall-addons' ),
			'SH' => __( 'Saint Helena', 'edumall-addons' ),
			'KN' => __( 'Saint Kitts and Nevis', 'edumall-addons' ),
			'LC' => __( 'Saint Lucia', 'edumall-addons' ),
			'MF' => __( 'Saint Martin (French part)', 'edumall-addons' ),
			'SX' => __( 'Saint Martin (Dutch part)', 'edumall-addons' ),
			'PM' => __( 'Saint Pierre and Miquelon', 'edumall-addons' ),
			'VC' => __( 'Saint Vincent and the Grenadines', 'edumall-addons' ),
			'SM' => __( 'San Marino', 'edumall-addons' ),
			'ST' => __( 'S&atilde;o Tom&eacute; and Pr&iacute;ncipe', 'edumall-addons' ),
			'SA' => __( 'Saudi Arabia', 'edumall-addons' ),
			'SN' => __( 'Senegal', 'edumall-addons' ),
			'RS' => __( 'Serbia', 'edumall-addons' ),
			'SC' => __( 'Seychelles', 'edumall-addons' ),
			'SL' => __( 'Sierra Leone', 'edumall-addons' ),
			'SG' => __( 'Singapore', 'edumall-addons' ),
			'SK' => __( 'Slovakia', 'edumall-addons' ),
			'SI' => __( 'Slovenia', 'edumall-addons' ),
			'SB' => __( 'Solomon Islands', 'edumall-addons' ),
			'SO' => __( 'Somalia', 'edumall-addons' ),
			'ZA' => __( 'South Africa', 'edumall-addons' ),
			'GS' => __( 'South Georgia/Sandwich Islands', 'edumall-addons' ),
			'KR' => __( 'South Korea', 'edumall-addons' ),
			'SS' => __( 'South Sudan', 'edumall-addons' ),
			'ES' => __( 'Spain', 'edumall-addons' ),
			'LK' => __( 'Sri Lanka', 'edumall-addons' ),
			'SD' => __( 'Sudan', 'edumall-addons' ),
			'SR' => __( 'Suriname', 'edumall-addons' ),
			'SJ' => __( 'Svalbard and Jan Mayen', 'edumall-addons' ),
			'SZ' => __( 'Swaziland', 'edumall-addons' ),
			'SE' => __( 'Sweden', 'edumall-addons' ),
			'CH' => __( 'Switzerland', 'edumall-addons' ),
			'SY' => __( 'Syria', 'edumall-addons' ),
			'TW' => __( 'Taiwan', 'edumall-addons' ),
			'TJ' => __( 'Tajikistan', 'edumall-addons' ),
			'TZ' => __( 'Tanzania', 'edumall-addons' ),
			'TH' => __( 'Thailand', 'edumall-addons' ),
			'TL' => __( 'Timor-Leste', 'edumall-addons' ),
			'TG' => __( 'Togo', 'edumall-addons' ),
			'TK' => __( 'Tokelau', 'edumall-addons' ),
			'TO' => __( 'Tonga', 'edumall-addons' ),
			'TT' => __( 'Trinidad and Tobago', 'edumall-addons' ),
			'TN' => __( 'Tunisia', 'edumall-addons' ),
			'TR' => __( 'Turkey', 'edumall-addons' ),
			'TM' => __( 'Turkmenistan', 'edumall-addons' ),
			'TC' => __( 'Turks and Caicos Islands', 'edumall-addons' ),
			'TV' => __( 'Tuvalu', 'edumall-addons' ),
			'UG' => __( 'Uganda', 'edumall-addons' ),
			'UA' => __( 'Ukraine', 'edumall-addons' ),
			'AE' => __( 'United Arab Emirates', 'edumall-addons' ),
			'GB' => __( 'United Kingdom (UK)', 'edumall-addons' ),
			'US' => __( 'United States (US)', 'edumall-addons' ),
			'UM' => __( 'United States (US) Minor Outlying Islands', 'edumall-addons' ),
			'UY' => __( 'Uruguay', 'edumall-addons' ),
			'UZ' => __( 'Uzbekistan', 'edumall-addons' ),
			'VU' => __( 'Vanuatu', 'edumall-addons' ),
			'VA' => __( 'Vatican', 'edumall-addons' ),
			'VE' => __( 'Venezuela', 'edumall-addons' ),
			'VN' => __( 'Vietnam', 'edumall-addons' ),
			'VG' => __( 'Virgin Islands (British)', 'edumall-addons' ),
			'VI' => __( 'Virgin Islands (US)', 'edumall-addons' ),
			'WF' => __( 'Wallis and Futuna', 'edumall-addons' ),
			'EH' => __( 'Western Sahara', 'edumall-addons' ),
			'WS' => __( 'Samoa', 'edumall-addons' ),
			'YE' => __( 'Yemen', 'edumall-addons' ),
			'ZM' => __( 'Zambia', 'edumall-addons' ),
			'ZW' => __( 'Zimbabwe', 'edumall-addons' ),
		);
	}

	public static function dropdown_list( $args = [] ) {
		$defaults = [
			'name'     => 'country',
			'id'       => 'country',
			'classes'  => 'form-control',
			'selected' => '',
		];

		$args = wp_parse_args( $args, $defaults );

		$countries = self::get_list();
		?>
		<select class="<?php echo esc_attr( $args['classes'] ); ?>" id="<?php echo esc_attr( $args['id'] ) ?>"
		        name="<?php echo esc_attr( $args['name'] ) ?>">
			<?php
			foreach ( $countries as $country_code => $country_name ) {
				?>
				<option
					value="<?php echo $country_code; ?>" <?php selected( $args['selected'], $country_code ); ?>><?php echo esc_html( $country_name ); ?>
				</option>
				<?php
			}
			?>
		</select>
		<?php
	}
}
